package com.ylx.massage.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ylx.common.core.domain.model.WxLoginUser;
import com.ylx.massage.domain.vo.BankVo;
import com.ylx.massage.mapper.TBankUserMapper;
import com.ylx.massage.domain.TBankUser;
import com.ylx.massage.service.TBankUserService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

import java.util.List;

/**
 * 银行卡号(TBankUser)表服务实现类
 *
 * @author makejava
 * @since 2024-12-31 09:58:20
 */
@Service("tBankUserService")
public class TBankUserServiceImpl extends ServiceImpl<TBankUserMapper, TBankUser> implements TBankUserService {

    @Resource
    private TBankUserMapper tBankUserMapper;

    @Override
    public List<BankVo> myBank(WxLoginUser wxLoginUser) {
        return tBankUserMapper.myBank(wxLoginUser.getCOpenid());
    }

    @Override
    public Object deleteBank(TBankUser tBankUser) {
        return tBankUserMapper.deleteBank(tBankUser.getId());
    }
}

